
QGIS Application - Bug report #14696

"Stretch using current extent" on invisible layer causes redraw of map

2016-04-18 12:26 AM - Casper Børgesen

Status: Closed

Priority: Low

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22660

Description

When right clicking on a raster layer in the layers panels and selecting "Stretch Using Current Extent" on a layer which is

disabled/hidden/invisible (no check mark in the checkbox next to the layer) causes the map window to redraw.

I would expect the map window to be unaffected by this action, since the layer is not drawn in the first place.

Is this a bug or just a side effect?

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-01-21 11:01 AM - Casper Børgesen

This is just to verify that the issue still persists in the latest MASTER (e3fda18aca).

#4 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
